/* header - Common styles shared across all sub-themes */

/* Basic header structure */
header {
    position: sticky !important;
    top: -48px !important;
    box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.5);
    .header {
        background-color: var(--color-standard);
        .container .header-container {
            pointer-events: none;
            display: flex;
            flex-direction: row;
            align-items: flex-end;
            justify-content: space-between;
            padding: 0;* {
                pointer-events: all;
            }
            .site-branding {
                .site-logo {
                    position: relative;
                    margin: 0;
                    img {
                        max-height: 60px;
                        padding-top: 5px;
                    }
                }
            }
            .site-name-slogan {
                display: none;
            }
            .header-right {
                position: unset;
                align-self: anchor-center;
                padding: 10px 0;
                .region-primary-menu {
                    .menu {
                        .menu-item-level-1 a,
                        .menu-item-level-1 > span {
                            font-size: 16px;
                            line-height: 1.5;
                        }
                    }
                } 
                .mobile-menu {
                    width: 25px;
                    height: 20px;
                    margin-left: 10px;
                    margin-bottom: 0px;
                    span {
                        background-color: white;
                    }
                }
            }
        }
    }
}
@media (max-width: 767px) {
    header {
        top: -78px !important;
    }
}

body.user-logged-in.toolbar-fixed {
    header {
        top: -8px !important;
    }
    &.toolbar-tray-open.toolbar-horizontal {
        header {
            top: 31px !important;
        }
    }
}